Storyden
Plugins

Plugin Update Package

Replace the package archive for a supervised plugin installation. The uploaded package manifest must have the same plugin ID as the currently installed plugin. If the plugin is active, it is restarted using the new package. If inactive, the package is replaced without changing active state.

PATCH/plugins/{plugin_instance_id}/package

Replace the package archive for a supervised plugin installation.

The uploaded package manifest must have the same plugin ID as the currently installed plugin. If the plugin is active, it is restarted using the new package. If inactive, the package is replaced without changing active state.

Authorization

storyden-session<token>

In: cookie

Path Parameters

plugin_instance_id*string

Plugin ID.

Formatxid

Request Body

application/zip

TypeScript Definitions

Use the request body type in TypeScript.

body?file
Formatbinary

Response Body

application/json

application/json

curl -X PATCH "https://example.com/plugins/string/package" \  -H "Content-Type: application/zip" \  -d 'string'
{  "id": "string",  "added_at": "2019-08-24T14:15:22Z",  "name": "string",  "description": "string",  "version": "string",  "status": {    "active_state": "inactive",    "deactivated_at": "2019-08-24T14:15:22Z"  },  "manifest": {},  "connection": {    "mode": "supervised"  }}